[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'StdCtrls' (#lcl)

# TCustomComboBox.AddItem

Adds the specified string (and optional object) to the Items displayed in the control.

## Declaration

Source position: stdctrls.pp line 411

`public procedure TCustomComboBox.AddItem(`
`const Item: string;`
`AnObject: TObject`
`); virtual;`

## Arguments

`Item` |  | The string added to Items.
`AnObject` |  | The associated object, can be Nil.

## Description

AddItem is a procedure used to add the specified value (and an optional associated object) to the Items in the control. AddItem calls the AddObject method in Items to store the values in Item and AnObject.

## See also

TCustomComboBox.Items |  | The list of items displayed in the combo-box control.
TStrings.AddObject